/**
 * hide switch the iframe
 * @param cbid:checkbox id
 * @param iframeid: iframe id
 */
function hideSwitch(cbid,iframeid){
    if($("#"+cbid).prop("checked")) {
        $("#"+iframeid).css('display','block');
    }
    else {
        $("#"+iframeid).css('display','none');
    }
}
/**
 * 
 * @param {*} jsonData : from ajax, e.g: https://echart.doorcome.cn/inc/ajax.inc.php?t=esfTBD&t_start=2023-06-20&t_end=2023-08-23&district=合计'
 * @param {*} array :e.g: dataSel=['td','area'];
 * @returns 
 */
function getRows(jsonData,array){
    var listSplit = [];
    var tmp;
    for (let i = 0; i < jsonData.length; i++) {
        var arr = [];
        for (let j = 0; j < array.length; j++) {
            tmp=(jsonData[i][array[j]])?jsonData[i][array[j]]:'';
            arr[j]=tmp;
            
        }
        listSplit[i]={"value":arr};
    }

    return listSplit;

}